- Main Page
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Functions
libwps_tools_win::Language Namespace Reference

an enum used to define the language in Windows© for spell check More...

## Functions
std::string | name (long id)
| returns the name given Windows© id More...
std::string | localeName (long id)
| returns the simplified locale name More...
void | addLocaleName (long id, librevenge::RVNGPropertyList &propList)
| add locale name (ie. fo:language,fo:country ) to propList More...
long | getDefault ()
| returns the default language: 0x409 : english(US) More...

## Detailed Description

an enum used to define the language in Windows© for spell check

## Function Documentation

void libwps_tools_win::Language::addLocaleName | ( | long | id,
|  | librevenge::RVNGPropertyList & | propList
| ) |  |

add locale name (ie. fo:language,fo:country ) to propList

Referenced by WPSFont::addTo().

long libwps_tools_win::Language::getDefault | ( |  | ) |

returns the default language: 0x409 : english(US)

std::string libwps_tools_win::Language::localeName | ( | long | id | ) |

returns the simplified locale name

Referenced by addLocaleName(), WPS8Parser::readDocProperties(), WPSContentListener::setDocumentLanguage(), and WKSContentListener::setDocumentLanguage().

std::string libwps_tools_win::Language::name | ( | long | id | ) |

returns the name given Windows© id

Referenced by WPS8Parser::createOLEStructures(), WPS4Parser::createOLEStructures(), libwps::Debug::flattenFileName(), LotusSpreadsheetInternal::State::getSheetName(), WKS4SpreadsheetInternal::State::getSheetName(), QuattroSpreadsheetInternal::State::getSheetName(), WKSContentListener::openSheetCell(), WPSOLEParser::parse(), WPS4Parser::parseEntry(), WPS8Parser::parseHeaderIndexEntry(), LotusSpreadsheet::readCellName(), WKS4Parser::readChart2Font(), QuattroParser::readChartDef(), WKS4Parser::readChartDef(), LotusParser::readChartDefinition(), WKS4Parser::readChartFont(), QuattroParser::readChartName(), LotusParser::readChartName(), WKS4Parser::readChartName(), WKS4Parser::readChartUnknown(), LotusParser::readDataZone(), WPS8Parser::readDocProperties(), WPS4Text::readDosLink(), WPS4Text::readEntries(), QuattroParser::readFieldName(), WKS4Parser::readFieldName(), LotusParser::readFMTFontName(), WKS4Parser::readFont(), LotusStyleManager::readFormatStyle(), WPS8Graph::readIBGF(), LotusParser::readLinkZone(), LotusParser::readMacFontName(), WPS4Graph::readObject(), WPS8Graph::readPICT(), WKS4Spreadsheet::readReportOpen(), LotusSpreadsheet::readSheetName(), QuattroSpreadsheet::readSpreadsheetName(), QuattroSpreadsheet::readUserStyle(), WKS4Parser::readZone(), and LotusParser::readZone().